Bug 998774 - (evas_generic_loaders) Review Request: evas_generic_loaders - Extra loaders for GPL loaders and unstable libraries
Review Request: evas_generic_loaders - Extra loaders for GPL loaders and unst...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 890717 Enlightenment-Tracker
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 00:05 EDT by Dan Mashal
Modified: 2013-09-23 04:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 04:34:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2013-08-20 00:05:43 EDT
Spec URL:  http://vicodan.fedorapeople.org/evas_generic_loaders.spec
SRPM URL:  http://vicodan.fedorapeople.org/evas_generic_loaders-1.7.8-1.fc20.src.rpm
Short Description: Extra loaders for GPL loaders and unstable libraries 


Fedora 20: koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5831826

[dan@Fedora SPECS]$ rpmlint ../RPMS/x86_64/evas_generic_loaders-
evas_generic_loaders-1.7.8-1.fc20.x86_64.rpm
evas_generic_loaders-debuginfo-1.7.8-1.fc20.x86_64.rpm
[dan@Fedora SPECS]$ rpmlint ../RPMS/x86_64/evas_generic_loaders-1.7.8-1.fc20.x86_64.rpm 
evas_generic_loaders.x86_64: E: incorrect-fsf-address /usr/share/doc/evas_generic_loaders/COPYING
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


Will address incorrect FSF address with upstream
Comment 1 Dan Mashal 2013-08-20 20:00:47 EDT
This review needs to be done ASAP. What's the deal Chris?
Comment 2 Dan Mashal 2013-08-20 20:14:16 EDT
Chris please review in 24 hours or we are areassigning.
Comment 3 Dan Mashal 2013-08-20 23:54:07 EDT
btw you may find "fedora-review -b 998774 -m fedora-rawhide-x86_64" helpful
Comment 4 Christopher Meng 2013-08-21 00:12:32 EDT
Hi Dan, 

I will review it at 30 min. later.

Don't worry.
Comment 5 Christopher Meng 2013-08-21 00:57:43 EDT
Package is GOOD.

APPROVED.

Only one issue:

Please notify upstream of the license file with incorrect FSF address issue.
Comment 6 Dan Mashal 2013-08-22 07:56:29 EDT
Thanks Chris
Comment 7 Dan Mashal 2013-08-22 07:58:08 EDT
New Package SCM Request
=======================
Package Name: evas_generic_loaders
Short Description: Extra loaders for GPL loaders and unstable libraries 
Owners: vicodan sundaram spot
Branches: f19
Comment 8 Gwyn Ciesla 2013-08-22 08:30:16 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-08-24 00:24:02 EDT
evas_generic_loaders-1.7.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/evas_generic_loaders-1.7.8-1.fc19
Comment 10 Fedora Update System 2013-08-24 18:29:38 EDT
evas_generic_loaders-1.7.8-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Michael Schwendt 2013-08-27 08:29:47 EDT
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Separators

=> evas_generic_loaders-1.7.8-1.fc21.src.rpm
=> evas_generic_loaders-1.7.8-1.fc21.i686 in fedora-development-i386
  File conflict with: evas-generic-loaders-1.7.7-4.fc20.i686
     /usr/lib/evas/utils/evas_image_loader.pdf
     /usr/lib/evas/utils/evas_image_loader.ps
     /usr/lib/evas/utils/evas_image_loader.raw
     /usr/lib/evas/utils/evas_image_loader.svg
     /usr/lib/evas/utils/evas_image_loader.xcf
Comment 12 Christopher Meng 2013-08-27 08:32:14 EDT
Hi Dan,

Hint, use %exclude in %files to remove them.
Comment 13 Michael Schwendt 2013-08-27 08:35:55 EDT
Guidelines also say

| packages where the upstream name naturally contains an underscore
| are excluded from this.

however, the upstream name is not limited to the tarball name.

README and NEWS files call it "Evas generic loaders", so evas-generic-loaders is more correct naming at Fedora.
Comment 14 Michael Schwendt 2013-08-27 08:53:14 EDT
Re: comment 12

Christopher, package "evas-generic-loaders" is in Fedora already: bug 890717
That's what my comment is about.
Comment 15 leigh scott 2013-08-29 12:53:37 EDT
imo C Meng's review was poor quality and he should have picked up that the package already existed. bad bad & even worst!
Comment 16 Christopher Meng 2013-08-30 00:39:32 EDT
(In reply to leigh scott from comment #15)
> imo C Meng's review was poor quality and he should have picked up that the
> package already existed. bad bad & even worst!

Well, that's not my problem.
Comment 17 Toshio Ernie Kuratomi 2013-09-05 15:09:08 EDT
A package already existing is something that a package reviewer should attempt to find out.  It's not something that you necessarily should have known about before (or necessarily that you would have found since the names don't match exactly) but it's something that you should attempt in the future now that it's been pointed out.
Comment 18 Michael Schwendt 2013-09-05 17:02:26 EDT
The not so funny thing is that _this_ package uses the upstream tarball name with underscores, and the guidelines permit that

  https://fedorahosted.org/fpc/ticket/336#comment:1

but the naming guidelines are not clear enough to tell what upstream name to choose. The project name is "Evas Generic Loaders", and if one constructs a package name from that, it would be evas-generic-loaders. On the contrary, the tarball name is evas_generic_loaders and permitted, too.
Comment 19 Dan Mashal 2013-09-05 17:20:57 EDT
(In reply to Toshio Ernie Kuratomi from comment #17)
> A package already existing is something that a package reviewer should
> attempt to find out.  It's not something that you necessarily should have
> known about before (or necessarily that you would have found since the names
> don't match exactly) but it's something that you should attempt in the
> future now that it's been pointed out.

(In reply to Michael Schwendt from comment #18)
> The not so funny thing is that _this_ package uses the upstream tarball name
> with underscores, and the guidelines permit that
> 
>   https://fedorahosted.org/fpc/ticket/336#comment:1
> 
> but the naming guidelines are not clear enough to tell what upstream name to
> choose. The project name is "Evas Generic Loaders", and if one constructs a
> package name from that, it would be evas-generic-loaders. On the contrary,
> the tarball name is evas_generic_loaders and permitted, too.

You're both right as usual, in fact upstream pointed me to the package and I had no idea it already existed because I always go by upstream naming. 

This is nobody's "fault" and is a good learning experience for everyone.

Thanks Christopher for doing the review. 

The bigger problem is I have no ACLs to the original package. I discussed this with Toshio on IRC. 

I have decided the best course of action is to retire/block this package and use the existing one including other actions which are off-topic for this bug.
Comment 20 Dan Mashal 2013-09-23 04:34:05 EDT
Regarding the package conflict I have retired this one.

Note You need to log in before you can comment on or make changes to this bug.